<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/fragmentWrapper"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" >

    <RelativeLayout
        android:id="@+id/localeLabelWrapper"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="12dp"
        android:layout_marginLeft="12dp"
        android:layout_marginRight="12dp"
        android:layout_marginTop="12dp"
        android:background="@drawable/narrow_rounded_bg"
        android:paddingBottom="8dp"
        android:paddingLeft="8dp"
        android:paddingRight="2dp"
        android:paddingTop="8dp" >

        <TextView
            android:id="@+id/installer_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:text="Estimation by:"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/installer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/installer_label"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/installer_label"
            android:text="(null)"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/address_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/installer_label"
            android:text="Address:"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/address"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/address_label"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/address_label"
            android:text="(null)"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/locale_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/address_label"
            android:text="Using Locale:"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/locale"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/locale_label"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/locale_label"
            android:text="LOCALE"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/latitude_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/locale_label"
            android:text="Lat:"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/latitude"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/latitude_label"
            android:layout_marginLeft="3dp"
            android:layout_toRightOf="@+id/latitude_label"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/daily_range_degree_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/latitude_label"
            android:layout_marginLeft="2dp"
            android:layout_toRightOf="@+id/latitude"
            android:text="o"
            android:textColor="@color/off_white"
            android:textSize="6sp" />

        <TextView
            android:id="@+id/latitude_unit_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/latitude_label"
            android:layout_marginLeft="2dp"
            android:layout_toRightOf="@+id/daily_range_degree_label"
            android:text="N"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/internal_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/latitude_label"
            android:layout_marginLeft="14dp"
            android:layout_toRightOf="@+id/latitude_unit_label"
            android:text="Int:"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/internal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/internal_label"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/internal_label"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/internal_degree_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/internal_label"
            android:layout_marginLeft="2dp"
            android:layout_toRightOf="@+id/internal"
            android:text="o"
            android:textColor="@color/off_white"
            android:textSize="6sp" />

        <TextView
            android:id="@+id/internal_unit_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/internal_label"
            android:layout_toRightOf="@+id/internal_degree_label"
            android:text="F"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/external_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/latitude_label"
            android:layout_marginLeft="14dp"
            android:layout_toRightOf="@+id/internal_unit_label"
            android:text="Ext:"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/external"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/external_label"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/external_label"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/external_degree_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/external_label"
            android:layout_marginLeft="2dp"
            android:layout_toRightOf="@+id/external"
            android:text="o"
            android:textColor="@color/off_white"
            android:textSize="6sp" />

        <TextView
            android:id="@+id/external_unit_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/external_label"
            android:layout_toRightOf="@+id/external_degree_label"
            android:text="F"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/daily_range_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/latitude_label"
            android:text="DR:"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/daily_range"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/daily_range_label"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/daily_range_label"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/daily_range_degree_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/daily_range_label"
            android:layout_marginLeft="2dp"
            android:layout_toRightOf="@+id/daily_range"
            android:text="o"
            android:textColor="@color/off_white"
            android:textSize="6sp" />

        <TextView
            android:id="@+id/daily_range_unit_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/daily_range_label"
            android:layout_toRightOf="@+id/daily_range_degree_label"
            android:text="F"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/tightness_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/latitude_label"
            android:layout_marginLeft="14dp"
            android:layout_toRightOf="@+id/daily_range_unit_label"
            android:text="CT:"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/tightness"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/tightness_label"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/tightness_label"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <ImageView
            android:id="@+id/change_global_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:background="@drawable/custom_button_background"
            android:clickable="true"
            android:paddingBottom="6dp"
            android:paddingLeft="6dp"
            android:paddingTop="6dp"
            android:src="@drawable/change_global_button" />
    </RelativeLayout>

    <LinearLayout
        android:id="@+id/topWrapper"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical" >
    </LinearLayout>

    <LinearLayout
        android:id="@+id/listWrapper"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginBottom="6dp"
        android:layout_marginLeft="6dp"
        android:layout_marginRight="6dp"
        android:layout_weight="1"
        android:background="@drawable/narrow_rounded_bg"
        android:paddingBottom="8dp"
        android:paddingLeft="8dp"
        android:paddingRight="2dp"
        android:paddingTop="8dp" >

        <ListView
            android:id="@+id/room_list"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_margin="6dp"
            android:layout_weight="1"
            android:background="@drawable/room_list_bg"
            android:divider="@color/black"
            android:dividerHeight="2dp"
            android:paddingBottom="3dp"
            android:paddingLeft="8dp"
            android:paddingRight="8dp"
            android:paddingTop="3dp" />

        <LinearLayout
            android:id="@+id/sidebarWrapper"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="vertical" >

            <ImageView
                android:id="@+id/new_room_button"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:background="@drawable/custom_button_background"
                android:clickable="true"
                android:paddingBottom="6dp"
                android:paddingLeft="6dp"
                android:paddingTop="6dp"
                android:src="@drawable/new_room_button" />

            <ImageView
                android:id="@+id/chart_button"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:background="@drawable/custom_button_background"
                android:clickable="true"
                android:paddingBottom="6dp"
                android:paddingLeft="6dp"
                android:paddingTop="6dp"
                android:src="@drawable/chart_button" />

            <ImageView
                android:id="@+id/report_button"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:background="@drawable/custom_button_background"
                android:clickable="true"
                android:paddingBottom="6dp"
                android:paddingLeft="6dp"
                android:paddingTop="6dp"
                android:src="@drawable/report_button" />
        </LinearLayout>
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/footerWrapper"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="12dp"
        android:layout_marginTop="6dp" >

        <RelativeLayout
            android:id="@+id/btuWrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:background="@drawable/narrow_rounded_bg"
            android:paddingBottom="12dp"
            android:paddingLeft="16dp"
            android:paddingRight="16dp"
            android:paddingTop="12dp" >

            <LinearLayout
                android:id="@+id/infiltrationCfmWrapper"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/infiltration_cfm_units"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="2dp" >

                <TextView
                    android:id="@+id/infiltration_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Infiltration Rate:"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/infiltration_cfm"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="4dp"
                    android:text="0"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/infiltration_cfm_units"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="2dp"
                    android:text="CFM"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/infiltrationBtuWrapper"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/infiltrationCfmWrapper"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="2dp" >

                <TextView
                    android:id="@+id/infiltration_btu_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Additional Load:"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/infiltration_btu"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="4dp"
                    android:text="0"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/infiltration_btu_units"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="2dp"
                    android:text="BTU"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/totalLoadWrapper"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/infiltrationBtuWrapper"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="4dp" >

                <TextView
                    android:id="@+id/total_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Load:"
                    android:textColor="@color/off_white"
                    android:textSize="18sp" />

                <TextView
                    android:id="@+id/total"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="4dp"
                    android:text="CALCULATING"
                    android:textColor="@color/off_white"
                    android:textSize="18sp" />

                <TextView
                    android:id="@+id/total_units"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="3dp"
                    android:text=""
                    android:textColor="@color/off_white"
                    android:textSize="18dp" />
            </LinearLayout>
        </RelativeLayout>

        <ImageView
            android:id="@+id/switch_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/btuWrapper"
            android:layout_marginBottom="8dp"
            android:layout_toRightOf="@+id/btuWrapper"
            android:background="@drawable/custom_button_background"
            android:clickable="true"
            android:paddingBottom="4dp"
            android:paddingRight="4dp"
            android:paddingTop="4dp"
            android:src="@drawable/change_button" />
    </RelativeLayout>

</LinearLayout>